FROM oven/bun:1.0.25-slim as builder
WORKDIR /app

COPY dist dist
COPY nginx.conf /etc/nginx/conf.d/default.conf

FROM nginx:alpine
COPY --from=builder /app/dist /usr/share/nginx/html
COPY nginx.conf /etc/nginx/conf.d/default.conf

EXPOSE 80
CMD ["nginx", "-g", "daemon off;"]
